#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Fake file system that mocks the Python 3 file system modules
Summary(pl.UTF-8):	Fałszywy system plików będący atrapą modułów systemowych Pythona 3 dla plików
Name:		python3-pyfakefs
Version:	5.9.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://github.com/pytest-dev/pyfakefs/releases
Source0:	https://github.com/pytest-dev/pyfakefs/archive/v%{version}/pyfakefs-%{version}.tar.gz
# Source0-md5:	6de7fccf6e9978c352680d1fbac42822
URL:		https://pyfakefs.org/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:45
%if %{with tests}
BuildRequires:	python3-pytest >= 6.2.5
# TODO for pandas-specific tests
#BuildRequires:	python3-openpyxl >= 3.1.5
#BuildRequires:	python3-pandas >= 2.3.0
#BuildRequires:	python3-xlrd >= 2.0.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-furo >= 2024.8.6
BuildRequires:	sphinx-pdg-3 >= 7.0.0
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyfakefs implements a fake file system that mocks the Python file
system modules. Using pyfakefs, your tests operate on a fake file
system in memory without touching the real disk. The software under
test requires no modification to work with pyfakefs.

%description -l pl.UTF-8
pyfakefs implementuje fałszywy system plików, będący atrapą dla
modułów systemowych Pythona dla plików. Przy użyciu pyfakefs testy
operują na fałszywym systemie plików w pamięci, bez dotykania
prawdziwego dysku. Testowane oprogramowanie nie wymaga modyfikacji,
aby działało z pyfakefs.

%package apidocs
Summary:	API documentation for Python pyfakefs module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pyfakefs
Group:		Documentation

%description apidocs
API documentation for Pythona pyfakefs module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pyfakefs.

%prep
%setup -q -n pyfakefs-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m pyfakefs.tests.all_tests
%{__python3} -m pyfakefs.tests.all_tests_without_extra_packages

PYTHONPATH=$(pwd) \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pyfakefs.pytest_plugin \
%{__python3} -m pytest \
	pyfakefs/pytest_tests/pytest_plugin_test.py
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md README.md
%{py3_sitescriptdir}/pyfakefs
%{py3_sitescriptdir}/pyfakefs-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc gh-pages/{_static,*.html,*.js}
%endif
%changelog
* Sun Jul 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyfakefs.git;a=log;h=master

* Sun Jul 06 2025 Jakub Bogusz <qboosh@pld-linux.org> 2f5d256
- updated to 5.9.1

* Thu Mar 27 2025 Jan Rękorajski <baggins@pld-linux.org> a281de2
- up to 5.8.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> bb744c2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fa4ce59
- python 3.13 rebuild

* Fri Feb 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 576ae6c
- updated to 4.7.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f421a79
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d769364
- rebuild with python 3.10

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 122e7e1
- updated to 4.5.6

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 547246d
- release 2 (by relup.sh)

* Sun May 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 25d317d
- python-pyfakefs updated to 4.0.2 for python 3.5+

* Thu May 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 937394e
- updated to 3.7.2; 3.4.x didn't support python 3.8
- removed outdated tests patch

* Thu May 14 2020 Jakub Bogusz <qboosh@pld-linux.org> c45d0be
- fix tests with pyfakefs already installed

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e3af7fb
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 08eb532
- up to 3.4.3

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 47e9306
- release 2 (by relup.sh)

* Sun May 20 2018 Jakub Bogusz <qboosh@pld-linux.org> f1c59ea
- handle case with python3-scandir module installed

* Sat May 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 6a0c7f7
- require python-scandir for python2 tests

* Sat May 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 792227e
- new

